{% extends 'accueil-prof.html' %}

{% block title %}
  <title>Gestion Escapes Games</title>
{% endblock %}

{% block head_suplementaire %}
  <link rel="stylesheet" href="{{ url_for('static', filename='css/gestion-escapes.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/nouveau-escape.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/modal.css') }}">
{% endblock %}

{% block contenu_onglet %}
  <section>
    <button {% if not listeEscapes %} disabled {% endif %} couleur="supression" onclick="if(confirm('Êtes-vous sûr de vouloir supprimer tous les escapes games ? \nCette opération est irréversible !')){location.href='/escapes/supprimer/tout'};"><ion-icon name="trash" size="small"></ion-icon>Supprimer les escapes</button>
    <h1>Escapes games</h1>
    <button couleur="validation" onClick="afficherModal('modal1');"><ion-icon name="add-circle-outline" size="small"></ion-icon>Nouveau</button>
  </section>
  {% if listeEscapes %}
    <ul>
      {% for escape in listeEscapes %}
        <li>
          <section onClick="location.href='/escapes/modifier/{{ escape.id }}';">
            <h3>{{ escape.nom }}</h3>
            <p>{{ escape.desc }}</p>
          </section>
          <ion-icon name="trash" size="large" onClick="if(confirm('Êtes-vous sûr de vouloir supprimer cet escape game ? \nCette opération est irréversible !')){document.location.href='supprimer/{{ escape.id }}';}" ></ion-icon>
        </li>
      {% endfor %}
    </ul>
  {% else %}
    <p>Vous n'avez pas encore créé d'escape games</p>
  {% endif %} 
  <div id="modal1" class="modal">
    <section>
      <section>
        <button onclick="closeModal();"><ion-icon name="close" size="small"></ion-icon></button>
        <h2>Informations générales</h2>
        <button couleur='validation' onclick="document.getElementById('formulaire_nouvel_escape').submit();"><ion-icon name="save" size="small"></ion-icon>Valider</button>
      </section>
      <form action="/escapes/nouveau" id="formulaire_nouvel_escape" method="POST" lang="fr">
        <label for="nom">Titre</label>
        <input name='nom' type='text' placeholder='Mon escape game'/>
        <label for="description">Description</label>
        <textarea name="description" placeholder='Il est beau'></textarea>
      </form>
    </section>
  </div>
  <script type="text/javascript" src={{ url_for('static', filename='js/modal.js') }}></script>
{% endblock %} 
